function xAggr = aggreg2(x, grn, iniPop)
% aggregate individual -> aggr. stocks; for variables during h1 investment phase
% ---------------------------------------
% TASK:
%   bgp only!
% IN:
%   x       vector of hh born at date 1
%   grn     growth factor  *  popul. growth factor
%   iniPop
% OUT:
%   xAggr   aggregate x


% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

    dbg = 0;

    % vector of growth factors
    grVec = iniPop .* mseqend(grn, 1/grn, length(x));

    xAggr = x * grVec';



% **************  SELF-TEST SECTION  ********************

    if dbg > 0
        if length(xAggr) ~= 1
            abort('Aggreg2: xAggr not scalar')
        end
        % ******* ALTERNATIVE COMPUTATION *********
        n = length(x);
        xAggr2 = 0;
        for i = 1 : n
            xAggr2 = xAggr2 + x(i) * iniPop * grn^(n-i+1);
        end
        if  abs(xAggr2 - xAggr) > 1e-5
            warnmsg('aggreg2:  Computations differ')
            keyboard
        end
    end



% *** end function ***
