function [r,w, tl] = bgprw( MPK, MPL, tk0,tw0,ts0,to0, kDeduct, ddk,T1,T );
% Compute factor prices and labor tax rate facing hh along bgp
% ---------------------------------------
% IN:
%   MPK, MPL:   1x1
% OUT:
%   net factor prices and labor tax rate as a function of age
%   tl includes payroll and old-age taxes
%   1xT

% AUTHOR: Lutz Hendricks, 1993-97
% ---------------------------------------

   if T < T1
      T
      T1
      abort('T < T1')
   end


   r = ((1-tk0) .* MPK - (1-kDeduct.*tk0) .* ddk) .* ones(1,T);

   tl = tw0 .* ones(1,T);
   tl(1:T1) = tl(1:T1) + ts0;
   if T1 < T
      tl(T1+1:T) = tl(T1+1:T) + to0;
   end
   w = (1-tl) .* MPL;


% *** end function ***

