function bgpsave(gr, K,L, Pol, mu,phi, c, l, v, a, h, x, tax0,taxAdj0,...
BT,phi0,valAbil,vhx,ax,hx,xx,Xx,vh1Child,hT1,Lambda,dist,B1, priceS,agS,hhS, outFile, dbg)
% bgpsave: Save info about bgp
% ---------------------------------------
% TASK:
%   Save info about bgp

% IN:
%   as defined in bgpLoad.m
%   outFile structure with elements for file name: .calNo, .calBgp, .bgpNo
%   Pol:    scalar; endogenous policy
%   xx      profile of spending on goods input in h1 investment
%   Xx      aggregate spending on h1 investment
%   dist:   terminal distance of bgp iterations
%   priceS  structure with prices; .r, .w
%   agS     structure with aggregate quantities

% AUTHOR: Lutz Hendricks, 1993-97
% ---------------------------------------

v_check( dbg, 'i', [1,1], 0, 999 );
global tb hcInherit Tx

% *******  INPUT CHECK  ***********

    fname = bgpfname(outFile.calNo, outFile.calBgp, outFile.bgpNo);
    disp([ 'BgpSave -> ', fname ])



% ********  Construct vector of correct policies  **********

    pol0V = tax0';
    pol0V(taxAdj0) = Pol;
    pol0V(10) = 0;
    polNo = length(pol0V);



% ******* Save as matrix **********
% Matrix must have enough columns to hold tax0 and a vector of length T

   T = size(mu,2);
   xc = max([T, polNo, 15]);

   saveMat = zeros(15,xc);
   tmp = [gr, K, L, 0, 0,   0, 0, BT, T, polNo,   vh1Child, hT1, Lambda,dist,B1];
   saveMat(1,1:length(tmp)) = tmp;
   saveMat(2,1:polNo) = pol0V;

   saveMat(3,1:T) = mu;
   saveMat(4,1:T) = phi;
   saveMat(5,1:T) = c;
   saveMat(6,1:T) = l;
   saveMat(7,1:T) = v;
   saveMat(8,1:T) = a;
   saveMat(9,1:T) = h;
   saveMat(10,1:T) = x;
   % ** More scalars
   tmp = [phi0, Tx-1, valAbil, Xx];
   saveMat(11,1:length(tmp)) = tmp;

   saveMat(12,1:length(ax))  = ax;
   saveMat(13,1:length(hx))  = hx;
   saveMat(14,1:length(vhx)) = vhx;
   saveMat(15,1:length(xx))  = xx;

   eval([ 'save ', fname, ' saveMat priceS agS hhS' ]);


% *** end function ***

