function deficit = govdefic(GY,TrY,Y,Ynet,sx,xEarn,X,D,r1,taxRev,sxx,Xx)
% Compute government deficit; period by period
% ---------------------------------------
% IN:
%   D       debt; 1:N+1; if length is only N, assume that D(N+1) grows at
%           terminal rate
%   r1      1+r; net of taxes
%   X       aggregate X
%   taxRev  revenue of all taxes: tc,to,tw,tk,tb


% AUTHOR: Lutz Hendricks, 1994
% ---------------------------------------

    dbg = 1;

% *** GLOBALS ***

    N = length(X);

    if length(D) == N
        % ** D(N+1); assumed to grow at a constant rate after N
        if D(N-1)~=0
            D = [ D(1:N), D(N)/D(N-1)*D(N) ];
        else
            D = [ D(1:N), D(N) ];
        end
    end

    xxSubsidy = sxx .* Xx;
    GSpend  = GY .* Y + TrY .* Ynet + sx.*(1-xEarn).*X + D(1:N) .* r1 + xxSubsidy;
    % ** Debt service
    Revenue = taxRev + D(2:N+1);

    Deficit = GSpend - Revenue;



% *** end function ***
