function tbase = ltxbase2(earn,X, xEarn,xDeduct)
% Compute tax base for wage and payroll taxes
% ----------------------------------------------------------
% IN:
%   earn        aggregate earnings before x deduction (1xT)
%   X           aggregate X (1xT)
%   xEarn,xDeduct   policy variables
% OUT:
%   tax bases for dates 1..T (1xT)
% ----------------------------------------------------------

    tbase = earn - X.*(xEarn + (1-xEarn).*xDeduct);
