function parashow(vlb, vub)
% Show parameters to be calibrated

global rho theta B eta psi ksi hcInherit ddh ddk sig zeta bequ
global aa bb tb hcAge iniAge yearsOfLife
global BEQUTYPE ALTRUISTIC NONALTRUISTIC NOBEQUEST hcAltruism
global Bx etax ddhx Tx psix ksix gg h1Invest
global yPerPd

    if nargin < 2
        showBounds = 0;
    elseif  isempty(vlb) | isempty(vub)
        showBounds = 0;
    else
        showBounds = 1;
    end

    disp('-----  PARASHOW  -------------------------------')



% ***************  DISPLAY PARAMETERS  ***************************

    nPar = 10;
    % Display in row 1
    idx1 = 1 : 5;
    % Display in row 2
    if showBounds == 1
        idx2 = 6 : min([length(vub), nPar]);
    else
        idx2 = 6 : nPar;
    end

    disp('      aa      bb      tb   hcAge  iniAge')
    tmp = sprintf(' %7.3f %7.3f %7i %7i %7i', aa, bb, tb, hcAge, iniAge);
    disp(tmp);

    disp('     ddh     ddk     sig    zeta    bequ')
    if showBounds == 1;
        disp( vlb(idx2) );
    end
    tmp = sprintf(' %7.3f %7.3f %7.3f %7.3f %7.3f', ddh, ddk, sig, zeta, bequ);
    disp(tmp);
    if showBounds == 1;
        disp( vub(idx2) );
    end

    disp('     rho       B     eta     psi     ksi   hcInh')
    if showBounds == 1;
        disp( vlb(idx1) );
    end
    tmp = sprintf(' %7.3f %7.3f %7.3f %7.3f %7.3f %7.3f', rho, B, eta, psi, ksi, hcInherit);
    disp(tmp);
    if showBounds == 1;
        disp( vub(idx1) );
    end

    % ********* INVESTMENT IN H1  *****************
    if  h1Invest == 1
        disp('    ddhx      Bx    etax    psix    ksix      gg      Tx')
        tmp = sprintf(' %7.3f %7.3f %7.3f %7.3f %7.3f %7.3f %7i', ddhx, Bx, etax, psix,...
            ksix, gg, Tx);
        disp(tmp);
    else
        disp('No investment in h1.')
    end


    % ***********  ANNUAL VALUES  ***************
    if 0
        disp('Annual values');
        ddhAnn = 1 - (1-ddh)^(1/yPerPd);
        ddkAnn = 1 - (1-ddk)^(1/yPerPd);
        bbAnn  = bb^(1/yPerPd);
        % ** Age at which parents give birth
        tbAnn  = round(tb * yPerPd);
        % ** Age of CHILD at which it inherits hc
        hcAgeAnn = max( round( iniAge + yPerPd * (hcAge - tb) ), 1 );
        disp('      bb     ddh     ddk      tb hcAgeCh');
        tmp = sprintf(' %7.3f %7.3f %7.3f %7i %7i', bbAnn, ddhAnn, ddkAnn, tbAnn, hcAgeAnn);
        disp(tmp)
    end

    if bequ > 0  &  BEQUTYPE ~= NOBEQUEST
        if BEQUTYPE == ALTRUISTIC
            disp('Altruistic bequests.')
            if hcAltruism == 1
                disp('  incl. hc inheritance.');
            end
        elseif BEQUTYPE == NONALTRUISTIC
            disp('Non-altruistic bequests.')
        else
            abort('Invalid bequest type')
        end
    end


% *** end function ***
